webpackJsonp([1],{

/***/ 107:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ContactPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_contacts__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_file__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_file_opener__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__angular_http__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_pdfmake_build_pdfmake__ = __webpack_require__(108);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6_pdfmake_build_pdfmake___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_6_pdfmake_build_pdfmake__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_pdfmake_build_vfs_fonts__ = __webpack_require__(109);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7_pdfmake_build_vfs_fonts___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_7_pdfmake_build_vfs_fonts__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_admob__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_xlsx__ = __webpack_require__(164);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9_xlsx___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_9_xlsx__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};









__WEBPACK_IMPORTED_MODULE_6_pdfmake_build_pdfmake___default.a.vfs = __WEBPACK_IMPORTED_MODULE_7_pdfmake_build_vfs_fonts___default.a.pdfMake.vfs;


;
var ContactPage = (function () {
    function ContactPage(_admob, loadingCtrl, alertCtrl, navParams, navCtrl, contacts, plt, file, fileOpener, http) {
        this._admob = _admob;
        this.loadingCtrl = loadingCtrl;
        this.alertCtrl = alertCtrl;
        this.navParams = navParams;
        this.navCtrl = navCtrl;
        this.contacts = contacts;
        this.plt = plt;
        this.file = file;
        this.fileOpener = fileOpener;
        this.http = http;
        this.contactList = this.navParams.get('contactList');
        this.limit = this.navParams.get('limit');
        this.NewcontactList = [];
        this.searchTerm = '';
        this.contactListDetails = [];
        this.pdfObj = null;
        this.letterObj = {
            from: this.contactListDetails,
            to: '',
            text: ''
        };
        this.OnExport = function () {
            var sheet = __WEBPACK_IMPORTED_MODULE_9_xlsx__["utils"].json_to_sheet(this.contactList);
            var wb = {
                SheetNames: ["export"],
                Sheets: {
                    "export": sheet
                }
            };
            var wbout = __WEBPACK_IMPORTED_MODULE_9_xlsx__["write"](wb, {
                bookType: 'xlsx',
                bookSST: false,
                type: 'binary'
            });
            function s2ab(s) {
                var buf = new ArrayBuffer(s.length);
                var view = new Uint8Array(buf);
                for (var i = 0; i != s.length; ++i)
                    view[i] = s.charCodeAt(i) & 0xFF;
                return buf;
            }
            var blob = new Blob([s2ab(wbout)], { type: 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet' });
            var self = this;
            this.getStoragePath().then(function (url) {
                self.file.writeFile(url, "ContactsExport.xlsx", blob, { replace: true }).then(function (fileEntry) {
                    alert('Xlsx Exported to:' + ' InternalStorage/ImportExportApp');
                    self.fileOpener.open(url + '/ContactsExport.xlsx', 'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
                }).catch(function () {
                    alert("error creating file at :" + url);
                });
            });
        };
    }
    ContactPage_1 = ContactPage;
    ContactPage.prototype.xlxExport = function () {
        this.getStoragePath();
        this.OnExport();
    };
    ContactPage.prototype.getDataforPdf = function () {
        for (var i = 0; i <= this.contactList.length - 1; i++) {
            this.contactListDetails.push(i + 1 + '.\t' + this.contactList[i]["name"] + '  =========  ' + this.contactList[i]["number"] + '\n');
        }
        this.presentLoadingDefault();
        this.createPdf();
    };
    ContactPage.prototype.getDataforXlxs = function () {
        this.getStoragePath();
        this.OnExport();
    };
    ContactPage.prototype.showExportMethods = function () {
        var _this = this;
        var alert = this.alertCtrl.create({
            title: 'Export Method',
            message: 'Please select desired export!',
            buttons: [
                {
                    text: 'PDF',
                    role: 'pdf',
                    handler: function () {
                        _this.getDataforPdf();
                    }
                },
                {
                    text: 'Xls',
                    handler: function () {
                        _this.getDataforXlxs();
                    }
                }
            ]
        });
        alert.present();
    };
    ContactPage.prototype.ionViewDidLoad = function () {
        this.filteredContacts();
    };
    ContactPage.prototype.initializeItems = function () {
        this.contactList = this.navParams.get('contactList');
    };
    ContactPage.prototype.getItems = function (ev) {
        // Reset items back to all of the items
        this.initializeItems();
        // set val to the value of the searchbar
        var val = ev.target.value;
        // if the value is an empty string don't filter the items
        if (val && val.trim() != '') {
            this.contactList = this.contactList.filter(function (item) {
                return (item.toLowerCase().indexOf(val.toLowerCase()) > -1);
            });
        }
    };
    ContactPage.prototype.filteredContacts = function () {
        var _this = this;
        return this.contactList.filter(function (item) {
            return item.displayName.toLowerCase().indexOf(_this.searchTerm.toLowerCase()) > -1;
        });
    };
    /////////////////'Getting Data and Making PDF of it!' Start/////////////////////
    ContactPage.prototype.getStoragePath = function () {
        var file = this.file;
        return this.file.resolveDirectoryUrl(this.file.externalRootDirectory).then(function (directoryEntry) {
            return file.getDirectory(directoryEntry, "ImportExportApp", {
                create: true,
                exclusive: false
            }).then(function () {
                return directoryEntry.nativeURL + "ImportExportApp/";
            });
        });
    };
    ////////////////////////'Getting Data and Making PDF of it! End'///////////////////////////
    ContactPage.prototype.downloadpdfExport = function () { this.createPdf(); };
    ///////////////"PDF Creation and Download Function"///////////////////
    ContactPage.prototype.createPdf = function () {
        var docDefinition = {
            content: [
                { text: 'Contacts List PDF', style: 'header' },
                { text: new Date().toTimeString(), alignment: 'right' },
                { text: '   Contacts Name  =====  Contact Numbers', style: 'subheader' },
                { text: this.letterObj.from.toString() },
            ],
            styles: {
                header: {
                    fontSize: 18,
                    bold: true,
                },
                subheader: {
                    fontSize: 14,
                    bold: true,
                    margin: [0, 15, 0, 0]
                },
                story: {
                    italic: true,
                    alignment: 'center',
                    width: '50%',
                }
            }
        };
        this.pdfObj = __WEBPACK_IMPORTED_MODULE_6_pdfmake_build_pdfmake___default.a.createPdf(docDefinition);
        this.downloadPdf();
    };
    ContactPage.prototype.downloadPdf = function () {
        var _this = this;
        var strUrl = '';
        this.getStoragePath().then(function (url) {
            strUrl = url;
            if (_this.plt.is('cordova')) {
                _this.pdfObj.getBuffer(function (buffer) {
                    var blob = new Blob([buffer], { type: 'application/pdf' });
                    _this.file.writeFile(strUrl, 'ExportContacts.pdf', blob, { replace: true }).then(function (fileEntry) {
                        alert('PDF Exported to:' + ' InternalStorage/ImportExportApp');
                        _this.fileOpener.open(strUrl + '/ExportContacts.pdf', 'application/pdf');
                    });
                });
            }
            else {
                _this.pdfObj.download();
            }
        }).catch(function (err) {
            strUrl = err;
            alert(strUrl);
        });
    };
    ///////////////"PDF Creation and Download Function End"//////////////////
    ////////////////////"Loading Controller Area"//////////////////////
    ContactPage.prototype.presentLoadingDefault = function () {
        var loading = this.loadingCtrl.create({
            content: 'Please wait, preparing PDF!'
        });
        loading.present();
        setTimeout(function () {
            loading.dismiss();
        }, 5000);
    };
    ContactPage.prototype.presentLoadingCustom = function () {
        var loading = this.loadingCtrl.create({
            spinner: 'hide',
            content: "\n      <div class=\"custom-spinner-container\">\n        <div class=\"custom-spinner-box\"></div>\n      </div>",
            duration: 5000
        });
        loading.onDidDismiss(function () {
            console.log('Dismissed loading');
        });
        loading.present();
    };
    ContactPage.prototype.presentLoadingText = function () {
        var _this = this;
        var loading = this.loadingCtrl.create({
            spinner: 'hide',
            content: 'Loading Please Wait...'
        });
        loading.present();
        setTimeout(function () {
            _this.navCtrl.push(ContactPage_1);
        }, 1000);
        setTimeout(function () {
            loading.dismiss();
        }, 5000);
    };
    ContactPage = ContactPage_1 = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-contact',template:/*ion-inline-start:"C:\Ionic\New1\ImportExport\src\pages\contact\contact.html"*/'<ion-header>\n  <ion-navbar>\n    <ion-title align="center">\n      Available Contacts\n    </ion-title>\n\n    <ion-buttons end>\n        <button ion-button icon-only (click)="showExportMethods()">\n            <ion-icon name="download"></ion-icon>\n          </button>\n    </ion-buttons>\n  </ion-navbar>\n</ion-header>\n\n<ion-content id="bg" padding>\n\n<ion-list>\n\n  <ion-item *ngFor="let contact of contactList">\n    <ion-avatar item-start>\n      <img src="assets/dummy-profile-pic.png">\n    </ion-avatar>\n    <ion-label>\n      {{contact.name}}<br>\n      {{contact.number}}\n    </ion-label>\n    \n  </ion-item>\n    \n</ion-list>\n<!--\n\n    \n    <ion-checkbox item-right checked="false" [(ngModel)]="contact.checked"></ion-checkbox>\n<button ion-button full color="danger" (click)="findfn(contacttobefound)">Find Contacts</button>\n<button ion-button full (click)="createPdf()">Create PDF</button>\n<button ion-button full (click)="downloadPdf()" color="secondary" [disabled]="!pdfObj">Download PDF</button>\n-->'/*ion-inline-end:"C:\Ionic\New1\ImportExport\src\pages\contact\contact.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_8__ionic_native_admob__["a" /* AdMob */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* NavParams */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_contacts__["c" /* Contacts */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_file_opener__["a" /* FileOpener */], __WEBPACK_IMPORTED_MODULE_5__angular_http__["a" /* Http */]])
    ], ContactPage);
    return ContactPage;
    var ContactPage_1;
}());

//# sourceMappingURL=contact.js.map

/***/ }),

/***/ 119:
/***/ (function(module, exports) {

function webpackEmptyAsyncContext(req) {
	// Here Promise.resolve().then() is used instead of new Promise() to prevent
	// uncatched exception popping up in devtools
	return Promise.resolve().then(function() {
		throw new Error("Cannot find module '" + req + "'.");
	});
}
webpackEmptyAsyncContext.keys = function() { return []; };
webpackEmptyAsyncContext.resolve = webpackEmptyAsyncContext;
module.exports = webpackEmptyAsyncContext;
webpackEmptyAsyncContext.id = 119;

/***/ }),

/***/ 160:
/***/ (function(module, exports, __webpack_require__) {

var map = {
	"../pages/contact/contact.module": [
		294,
		0
	]
};
function webpackAsyncContext(req) {
	var ids = map[req];
	if(!ids)
		return Promise.reject(new Error("Cannot find module '" + req + "'."));
	return __webpack_require__.e(ids[1]).then(function() {
		return __webpack_require__(ids[0]);
	});
};
webpackAsyncContext.keys = function webpackAsyncContextKeys() {
	return Object.keys(map);
};
webpackAsyncContext.id = 160;
module.exports = webpackAsyncContext;

/***/ }),

/***/ 165:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 207:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return HomePage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__contact_contact__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_contacts__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__ionic_native_file__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__ionic_native_file_opener__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_file_chooser__ = __webpack_require__(208);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_file_path__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__angular_http__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_admob__ = __webpack_require__(84);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11_pdfmake_build_pdfmake__ = __webpack_require__(108);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11_pdfmake_build_pdfmake___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_11_pdfmake_build_pdfmake__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12_pdfmake_build_vfs_fonts__ = __webpack_require__(109);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12_pdfmake_build_vfs_fonts___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_12_pdfmake_build_vfs_fonts__);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13_xlsx__ = __webpack_require__(164);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13_xlsx___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_13_xlsx__);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = y[op[0] & 2 ? "return" : op[0] ? "throw" : "next"]) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [0, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
////////////////////"Imports Area"///////////////////////////














__WEBPACK_IMPORTED_MODULE_11_pdfmake_build_pdfmake___default.a.vfs = __WEBPACK_IMPORTED_MODULE_12_pdfmake_build_vfs_fonts___default.a.pdfMake.vfs;

;
var HomePage = (function () {
    function HomePage(_admob, navCtrl, sanitizer, contacts, alertCtrl, loadingCtrl, plt, file, fileOpener, http, fileChooser, filepath) {
        this._admob = _admob;
        this.navCtrl = navCtrl;
        this.sanitizer = sanitizer;
        this.contacts = contacts;
        this.alertCtrl = alertCtrl;
        this.loadingCtrl = loadingCtrl;
        this.plt = plt;
        this.file = file;
        this.fileOpener = fileOpener;
        this.http = http;
        this.fileChooser = fileChooser;
        this.filepath = filepath;
        this.contactList = [];
        this.contactImportCheck = [];
        this.splash = true;
        this.index = 0;
        this.importContactList = [];
        this.data = [[1, 2, 3], [4, 5, 6]];
        this.employeeArray = new Array();
        this.employee = new Array();
        var admobid;
        if (/(android)/i.test(navigator.userAgent)) {
            admobid = {
                banner: 'ca-app-pub-4646433692422477/4503494017',
                interstitial: 'ca-app-pub-4646433692422477/7233120206'
            };
        }
        else if (/(ipod|iphone|ipad)/i.test(navigator.userAgent)) {
            admobid = {
                banner: 'ca-app-pub-4646433692422477/4503494017',
                interstitial: 'ca-app-pub-4646433692422477/7233120206'
            };
        }
        else {
            admobid = {
                banner: 'ca-app-pub-4646433692422477/4503494017',
                interstitial: 'ca-app-pub-4646433692422477/7233120206'
            };
        }
        this._admob.createBanner({
            adId: admobid.banner,
            isTesting: false,
            autoShow: true
        });
        this._admob.prepareInterstitial({
            adId: admobid.interstitial,
            isTesting: false,
            autoShow: false
        });
    }
    HomePage.prototype.ionViewDidLoad = function () {
    };
    HomePage.prototype.read = function (bstr) {
        var wb = __WEBPACK_IMPORTED_MODULE_13_xlsx__["read"](bstr, { type: 'binary' });
        var wsname = wb.SheetNames[0];
        var ws = wb.Sheets[wsname];
        this.data = (__WEBPACK_IMPORTED_MODULE_13_xlsx__["utils"].sheet_to_json(ws, { header: 1 }));
        this.employee = this.data;
        var employeeStr = this.employee.join(",");
        this.employeeArray = employeeStr.split(",");
        for (var x = 2; x < this.employeeArray.length; x++) {
        }
        this.addContact();
    };
    /*
    async import() {
        try {
          const target: string = this.file.documentsDirectory || this.file.externalDataDirectory || this.file.dataDirectory || this.file.externalRootDirectory ||'';
          const dentry = await this.file.resolveDirectoryUrl(target);
         const url = this.file.externalRootDirectory + '/ImportExportApp/'
         alert( ' URL File: '+ url);
         //alert(`Attempting to read export2.xlsx from ${url}`);
          const bstr: string = await this.file.readAsBinaryString(url, "ContactsExport.xlsx");
          alert('String: ' + bstr )
          this.read(bstr);
        } catch(e) {
          const m: string = e.message;
          alert(m.match(/It was determined/) ? "Use File Input control" : `Error: ${m}`);
        }
      };
*/
    ///////////////////"Import Function Area"////////////////////
    /*
    public importContacts()
         {
           //this.import();
           this.presentLoadingDefault();
   
         }
   
   */
    /////////////////////
    HomePage.prototype.captureFile = function () {
        var _this = this;
        return new Promise(function (resolve, reject) {
            _this.fileChooser.open().then(function (uri) {
                _this.filepath.resolveNativePath(uri)
                    .then(function (filePath) {
                    // this.presentLoadingDefault();  
                    _this.imports(filePath);
                }, function (err) {
                    reject(err);
                });
            }, function (err) {
                reject(err);
            });
        });
    };
    HomePage.prototype.imports = function (file_path) {
        return __awaiter(this, void 0, void 0, function () {
            var fileadd, fileadd2, bstr, e_1, m;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        _a.trys.push([0, 2, , 3]);
                        fileadd = file_path.replace('/ImportExportApp', '//ImportExportApp');
                        fileadd2 = file_path.replace('/ContactsExport.xlsx', '/');
                        return [4 /*yield*/, this.file.readAsBinaryString(fileadd2, "ContactsExport.xlsx")];
                    case 1:
                        bstr = _a.sent();
                        this.read(bstr);
                        return [3 /*break*/, 3];
                    case 2:
                        e_1 = _a.sent();
                        m = e_1.message;
                        alert(m.match(/It was determined/) ? "Use File Input control" : "Error: " + m);
                        return [3 /*break*/, 3];
                    case 3: return [2 /*return*/];
                }
            });
        });
    };
    ;
    /*
     confirmDirectory(){
       this.file.checkDir(this.file.externalRootDirectory  , 'ImportExportApp').then(_ =>{
         this.dirFound == true;
         // alert('Directory exists')
         this.import();
        // this.checkImportfunc();
       } ).catch(err =>{
         alert('InternalStorage/ImportExportApp/Xlsx File Not Found')
         this.dirFound == false;
         });
        
     }
*/
    /*
          checkImportfunc(){
            if(this.dirFound == true){
              alert('Directory Found:');
             // this.import();
            }
            if(this.dirFound == false){
              alert('Error Reading Xlsx File..');
            }
    
          }
    
    */
    /*
     addContact() {
            var limit;
              let contact: Contact = this.contacts.create();
                //contact.name = new ContactName(null, 'Smith', 'John');
                for (var i = 0; i<= this.employee.length + 2; i+=2)
                {
                contact.name = new ContactName('','',this.employeeArray[i],'','','');
                 // alert(JSON.stringify(contact.name));
                let number = new ContactField('mobile', this.employeeArray[i+1]);
               // alert(JSON.stringify(number));
                contact.phoneNumbers = [number];
                contact.save().then( _ =>{
                 // alert('Contact saved!'+ contact);
                }).catch(err => {
                  alert("Erro Importing Contacts" + err);
                })
                limit = i;
          //  alert(i/2 + 'Contacts Updated!!');
              }
             alert(' '+ limit +'  Contacts Imported!');
          }
    
    
    */
    /*
    addContact(){
            let contact: Contact = this.contacts.create();
           
            this.contacts.find(["displayName","phoneNumbers"],
            { multiple: true, hasPhoneNumber: true }).then((contacts) => {
        
              for(var i = 0; i<=this.employee.length + 2 ; i+=2)
              {
                var cntact = {};
                cntact["name"] = contacts[i]['displayName'];
    
                if(JSON.stringify(contact["name"]) == this.employeeArray[i]){
                  alert("Contacts Already Exists!!")
                }
                else{
                  contact.name = new ContactName('','',this.employeeArray[i],'','','');
                 let number = new ContactField('mobile', this.employeeArray[i+1]);
                contact.phoneNumbers = [number];
                contact.save().then( _ =>{
                }).catch(err => {
                  alert("Erro Importing Contacts" + err);
                })
                var limit = i;
                var check = 0+i;
                }
                alert(' '+ limit +'  Contacts Imported!');
              alert("CheckValue:" + check);
              }
      }).catch(err => {
        alert(err);
      })
          }
    
    */
    HomePage.prototype.addContact = function () {
        var limit;
        var contact = this.contacts.create();
        for (var i = 0; i <= this.employee.length + 2; i += 2) {
            contact.name = new __WEBPACK_IMPORTED_MODULE_4__ionic_native_contacts__["b" /* ContactName */]('', '', this.employeeArray[i], '', '', '');
            var number = new __WEBPACK_IMPORTED_MODULE_4__ionic_native_contacts__["a" /* ContactField */]('mobile', this.employeeArray[i + 1]);
            contact.phoneNumbers = [number];
            contact.save().then(function (_) {
            }).catch(function (err) {
                alert("Error Importing Contacts" + err);
            });
            limit = i;
            var check = 0 + i;
        }
        alert(' ' + limit + '  Contacts Imported!');
        // alert("CheckValue:" + check);  
    };
    ///////////////////"Import Function Area End"////////////////////
    ///////////////"Export Function Area"//////////////////
    HomePage.prototype.getContacts = function () {
        var _this = this;
        this.contacts.find(["displayName", "phoneNumbers", "photos"], { multiple: true, hasPhoneNumber: true }).then(function (contacts) {
            for (var i = 0; i < contacts.length; i++) {
                if (contacts[i].displayName !== null) {
                    var contact = {};
                    contact["name"] = contacts[i].displayName;
                    contact["number"] = contacts[i].phoneNumbers[0].value;
                    _this.contactList.push(contact);
                    // this.chkValue();
                }
            }
            _this.index = contacts.length;
        });
        this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__contact_contact__["a" /* ContactPage */], {
            contactList: this.contactList, limit: this.index
        });
    };
    /*
    chkValue()
    {
      for(var i = 0; i<=this.contactList.length; i++)
      {
        //alert(JSON.stringify(this.contactList));
       this.contactImportCheck.push(alert(JSON.stringify(this.contactList[i]['name'])));
       alert(this.contactImportCheck['name']);
      }
    }
    */
    ///////////////"Export Function Area"//////////////////
    ////////////////////"Loading Controller Area"//////////////////////
    /*
    presentLoadingDefault(){
      let loading = this.loadingCtrl.create({
        content: 'Please wait, Importing Contacts..'
      });
    
      loading.present();
    
      setTimeout(() => {
        loading.dismiss();
       // alert('This Is After Loader..');
      // this.captureFile();
       
       
    
    }, 500);
    }
    
    */
    /*
    
    
    
     captureFile
    presentLoadingDefault() {
      let loading = this.loadingCtrl.create({
        content: 'Please wait, Importing Contacts..'
      });
    
      loading.present();
    
      setTimeout(() => {
        loading.dismiss();
       // alert('This Is After Loader..');
       this.confirmDirectory();
       
       
    
    }, 3000);
    }
    */
    HomePage.prototype.presentLoadingCustom = function () {
        var loading = this.loadingCtrl.create({
            spinner: 'hide',
            content: "\n      <div class=\"custom-spinner-container\">\n        <div class=\"custom-spinner-box\"></div>\n      </div>",
            duration: 5000
        });
        loading.onDidDismiss(function () {
            console.log('Dismissed loading');
        });
        loading.present();
    };
    HomePage.prototype.presentLoadingText = function () {
        var _this = this;
        var loading = this.loadingCtrl.create({
            spinner: 'hide',
            content: 'Loading Please Wait...'
        });
        loading.present();
        setTimeout(function () {
            _this.navCtrl.push(__WEBPACK_IMPORTED_MODULE_2__contact_contact__["a" /* ContactPage */]);
        }, 1000);
        setTimeout(function () {
            loading.dismiss();
        }, 5000);
    };
    HomePage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-home',template:/*ion-inline-start:"C:\Ionic\New1\ImportExport\src\pages\home\home.html"*/'<!--\n  \n  <div id="custom-overlay" [style.display]="splash ? \'flex\': \'none\'">\n  <div class="flb">\n    <div class="Aligner-item Aligner-item--top"></div>\n    <img src="assets/logo.png">\n    <div class="Aligner-item Aligner-item--bottom"></div>\n  </div>\n</div>\n\n-->\n    \n<ion-content id="bg" align="center" padding>\n  <ion-img id = "image" align="center" src="assets/bg.png"></ion-img>\n    <br>\n    <br>\n    <br>\n    <button ion-button round full class="button" align="center" (click) = "getContacts()">Export Contacts</button>\n    <br>\n    <br>\n    <br>\n    <button ion-button round full class="buttonimport" align="center" (click) = "captureFile()">Import Contacts</button>\n\n    \n  </ion-content>\n\n  <!--\n    <button ion-button round full class="buttonimport" align="center" (click) = "presentLoadingDefault()">Import Contacts</button>\n\n    \n    <button ion-button round full class="buttonimport" align="center" (click) = "importContacts()">Import Contacts Working</button>\n\n\n  -->\n'/*ion-inline-end:"C:\Ionic\New1\ImportExport\src\pages\home\home.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_10__ionic_native_admob__["a" /* AdMob */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["g" /* NavController */], __WEBPACK_IMPORTED_MODULE_3__angular_platform_browser__["c" /* DomSanitizer */], __WEBPACK_IMPORTED_MODULE_4__ionic_native_contacts__["c" /* Contacts */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["f" /* LoadingController */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_5__ionic_native_file__["a" /* File */], __WEBPACK_IMPORTED_MODULE_6__ionic_native_file_opener__["a" /* FileOpener */], __WEBPACK_IMPORTED_MODULE_9__angular_http__["a" /* Http */], __WEBPACK_IMPORTED_MODULE_7__ionic_native_file_chooser__["a" /* FileChooser */], __WEBPACK_IMPORTED_MODULE_8__ionic_native_file_path__["a" /* FilePath */]])
    ], HomePage);
    return HomePage;
}());

//# sourceMappingURL=home.js.map

/***/ }),

/***/ 210:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__ = __webpack_require__(211);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__app_module__ = __webpack_require__(234);


Object(__WEBPACK_IMPORTED_MODULE_0__angular_platform_browser_dynamic__["a" /* platformBrowserDynamic */])().bootstrapModule(__WEBPACK_IMPORTED_MODULE_1__app_module__["a" /* AppModule */]);
//# sourceMappingURL=main.js.map

/***/ }),

/***/ 234:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return AppModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__ = __webpack_require__(20);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2_ionic_angular__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(205);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__ionic_native_status_bar__ = __webpack_require__(206);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_5__app_component__ = __webpack_require__(293);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_6__pages_home_home__ = __webpack_require__(207);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_7__ionic_native_contacts__ = __webpack_require__(52);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_8__ionic_native_file_chooser__ = __webpack_require__(208);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_9__ionic_native_file_path__ = __webpack_require__(209);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_10__ionic_native_file__ = __webpack_require__(53);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_11__ionic_native_file_opener__ = __webpack_require__(54);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_12__angular_http__ = __webpack_require__(55);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_13__pages_contact_contact__ = __webpack_require__(107);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_14__ionic_native_admob__ = __webpack_require__(84);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};















var AppModule = (function () {
    function AppModule() {
    }
    AppModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_1__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_5__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_6__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_13__pages_contact_contact__["a" /* ContactPage */]
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_0__angular_platform_browser__["a" /* BrowserModule */],
                __WEBPACK_IMPORTED_MODULE_12__angular_http__["b" /* HttpModule */],
                __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["d" /* IonicModule */].forRoot(__WEBPACK_IMPORTED_MODULE_5__app_component__["a" /* MyApp */], {}, {
                    links: [
                        { loadChildren: '../pages/contact/contact.module#ContactPageModule', name: 'ContactPage', segment: 'contact', priority: 'low', defaultHistory: [] }
                    ]
                }),
            ],
            bootstrap: [__WEBPACK_IMPORTED_MODULE_2_ionic_angular__["b" /* IonicApp */]],
            entryComponents: [
                __WEBPACK_IMPORTED_MODULE_5__app_component__["a" /* MyApp */],
                __WEBPACK_IMPORTED_MODULE_6__pages_home_home__["a" /* HomePage */],
                __WEBPACK_IMPORTED_MODULE_13__pages_contact_contact__["a" /* ContactPage */]
            ],
            providers: [
                __WEBPACK_IMPORTED_MODULE_4__ionic_native_status_bar__["a" /* StatusBar */],
                __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */],
                { provide: __WEBPACK_IMPORTED_MODULE_1__angular_core__["u" /* ErrorHandler */], useClass: __WEBPACK_IMPORTED_MODULE_2_ionic_angular__["c" /* IonicErrorHandler */] },
                __WEBPACK_IMPORTED_MODULE_7__ionic_native_contacts__["c" /* Contacts */],
                __WEBPACK_IMPORTED_MODULE_10__ionic_native_file__["a" /* File */],
                __WEBPACK_IMPORTED_MODULE_11__ionic_native_file_opener__["a" /* FileOpener */],
                __WEBPACK_IMPORTED_MODULE_9__ionic_native_file_path__["a" /* FilePath */],
                __WEBPACK_IMPORTED_MODULE_8__ionic_native_file_chooser__["a" /* FileChooser */],
                __WEBPACK_IMPORTED_MODULE_14__ionic_native_admob__["a" /* AdMob */],
            ]
        })
    ], AppModule);
    return AppModule;
}());

//# sourceMappingURL=app.module.js.map

/***/ }),

/***/ 274:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 275:
/***/ (function(module, exports) {

/* (ignored) */

/***/ }),

/***/ 293:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return MyApp; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(30);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__ = __webpack_require__(206);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__ = __webpack_require__(205);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_4__pages_home_home__ = __webpack_require__(207);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};





var MyApp = (function () {
    function MyApp(platform, statusBar, splashScreen) {
        this.rootPage = __WEBPACK_IMPORTED_MODULE_4__pages_home_home__["a" /* HomePage */];
        platform.ready().then(function () {
            // Okay, so the platform is ready and our plugins are available.
            // Here you can do any higher level native things you might need.
            statusBar.styleDefault();
            splashScreen.hide();
        });
    }
    MyApp = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({template:/*ion-inline-start:"C:\Ionic\New1\ImportExport\src\app\app.html"*/'<ion-nav [root]="rootPage"></ion-nav>\n'/*ion-inline-end:"C:\Ionic\New1\ImportExport\src\app\app.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["i" /* Platform */], __WEBPACK_IMPORTED_MODULE_2__ionic_native_status_bar__["a" /* StatusBar */], __WEBPACK_IMPORTED_MODULE_3__ionic_native_splash_screen__["a" /* SplashScreen */]])
    ], MyApp);
    return MyApp;
}());

//# sourceMappingURL=app.component.js.map

/***/ })

},[210]);
//# sourceMappingURL=main.js.map